Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.ui
Class FileUploadCtrl

    java.lang.Object
      com.tonbeller.wcf.ui.XoplonCtrl
          com.tonbeller.wcf.ui.FileUploadCtrl

public class FileUploadCtrl
extends XoplonCtrl

Field Summary
`static java.lang.String` | `NODENAME`

Constructor Summary
`FileUploadCtrl()`

Method Summary
`static org.w3c.dom.Element` | `createFileUpload(org.w3c.dom.Document doc)` factory function
`static java.lang.String` | `getAccept(org.w3c.dom.Element element)` Content type pattern of files accepted as input, e.g. text/*
`static java.lang.String` | `getFileName(org.w3c.dom.Element element)` client file path
`static java.lang.String` | `getMaxLength(org.w3c.dom.Element element)` maximum accepted file size in bytes
`static boolean` | `isFileUpload(org.w3c.dom.Element elem)`
`static void` | `setAccept(org.w3c.dom.Element element, java.lang.String accept)` Content type pattern of files accepted as input, e.g. text/*
`static void` | `setFileName(org.w3c.dom.Element element, java.lang.String fileName)` client file path
`static void` | `setMaxLength(org.w3c.dom.Element element, long maxLength)` maximum accepted file size in bytes

Methods inherited from class com.tonbeller.wcf.ui.XoplonCtrl
`createCtrl, getId, getLabel, getModelReference, isDisabled, isHidden, setDisabled, setHidden, setId, setLabel, setModelReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODENAME

    public static final java.lang.String NODENAME

See Also:
  Constant Field Values

Constructor Detail

### FileUploadCtrl

    public FileUploadCtrl()

Method Detail

### isFileUpload

    public static boolean isFileUpload(org.w3c.dom.Element elem)

### createFileUpload

    public static org.w3c.dom.Element createFileUpload(org.w3c.dom.Document doc)

  factory function

### setFileName

    public static void setFileName(org.w3c.dom.Element element,
                                   java.lang.String fileName)

  client file path

### getFileName

    public static java.lang.String getFileName(org.w3c.dom.Element element)

  client file path

### setMaxLength

    public static void setMaxLength(org.w3c.dom.Element element,
                                    long maxLength)

  maximum accepted file size in bytes

### getMaxLength

    public static java.lang.String getMaxLength(org.w3c.dom.Element element)

  maximum accepted file size in bytes

### setAccept

    public static void setAccept(org.w3c.dom.Element element,
                                 java.lang.String accept)

  Content type pattern of files accepted as input, e.g. text/*

### getAccept

    public static java.lang.String getAccept(org.w3c.dom.Element element)

  Content type pattern of files accepted as input, e.g. text/*

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD